apache2 apparmor module missing link against libapparmor

Bug #737074 reported by Steve Beattie on 2011-03-17
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
AppArmor
High
Unassigned
2.6
High
Unassigned
apparmor (Ubuntu)
Undecided
Unassigned

Bug Description

For some reason, the apparmor 2.6 build of mod_apparmor is failing to link properly against libapparmor:

ubuntu@natty-i386:~$ sudo /etc/init.d/apache2 restart
 * Restarting web server apache2
 ... waiting ...done.
ubuntu@natty-i386:~$ sudo a2enmod apparmor
Enabling module apparmor.
Run '/etc/init.d/apache2 restart' to activate new configuration!
ubuntu@natty-i386:~$ sudo /etc/init.d/apache2 restart
apache2: Syntax error on line 203 of /etc/apache2/apache2.conf: Syntax error on line 1 of /etc/apache2/mods-enabled/apparmor.load: Cannot load /usr/lib/apache2/modules/mod_apparmor.so into server: /usr/lib/apache2/modules/mod_apparmor.so: undefined symbol: aa_change_hat
Action 'configtest' failed.
The Apache error log may have more information.
   ...fail!
ubuntu@natty-i386:~$ ldd /usr/lib/apache2/modules/mod_apparmor.so
        linux-gate.so.1 => (0x00779000)
        libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0x009fa000)
        /lib/ld-linux.so.2 (0x0018f000)

(this is with the 2.6.0-0ubuntu2 package in natty, I know 2.6.0-0ubuntu3 has been uploaded, but nothing should be different in that version.)

Steve Beattie (sbeattie) wrote :

Note that the 2.5 build is different enough to not be affected by this.

Attached is a patch that fixes the issue.

Changed in apparmor:
status: New → In Progress
importance: Undecided → High
Steve Beattie (sbeattie) on 2011-03-21
Changed in apparmor:
status: In Progress → Fix Released
tags: added: patch
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apparmor - 2.6.1-0ubuntu1

---------------
apparmor (2.6.1-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Fixes breakage of mod_apparmor apache2 module (LP: #737074)
    - Fixes profile matching when an attachement doesn't contain a
      regex (LP: #731155)
    - Fixes parser acceptance of missing network protocols (LP: #732837)
    - Patches taken upstream and dropped:
      + debian/patches/0002-lp727478.patch
      + debian/patches/0003-test-lp727478.patch
      + debian/patches/0004-lp736870.patch
  * debian/apparmor.install, debian/apparmor.dirs: add new multiarch
    tunable file and directory
  * debian/python-libapparmor.install: loosen directory specification
    for resiliancy against different python versions
 -- Steve Beattie <email address hidden> Thu, 24 Mar 2011 01:55:12 -0700

Changed in apparmor (Ubuntu):
status: New → Fix Released
Steve Beattie (sbeattie) wrote :

AppArmor 2.6.1 was released.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers